CREATE TABLE IF NOT EXISTS university (
    id SERIAL PRIMARY KEY,
    name VARCHAR(100) NOT NULL,
    established_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
);


CREATE TABLE IF NOT EXISTS faculty (
    id SERIAL PRIMARY KEY,
    name VARCHAR(100) NOT NULL
);

CREATE TABLE IF NOT EXISTS faculty_university (
    faculty_id INT REFERENCES faculty(id),
    university_id INT REFERENCES university(id),
    PRIMARY KEY (faculty_id, university_id)
);
